import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class NormalTextBodyForDialog extends StatelessWidget {
  final String title;
  final String step1;
  final String step2;

  const NormalTextBodyForDialog({
    super.key,
    required this.title,
    required this.step1,
    required this.step2,
  });

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsetsGeometry.only(left: 15),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          if (title.isEmpty)
            const SizedBox()
          else
            Expanded(
              child: Text(
                title,
                style: const TextStyle(
                  color: ColorsManager.grayColor,
                  fontSize: 15,
                ),
              ),
            ),
          Expanded(
            child: Row(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                const SizedBox(
                  width: 10,
                ),
                const Text('1. ',
                    style: TextStyle(
                      color: ColorsManager.grayColor,
                      fontSize: 15,
                    )),
                SizedBox(
                  width: 450,
                  child: Text(
                    step1,
                    style: const TextStyle(
                      color: ColorsManager.grayColor,
                      fontSize: 15,
                    ),
                  ),
                ),
              ],
            ),
          ),
          Expanded(
            child: Row(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                const SizedBox(
                  width: 10,
                ),
                const Text('2. ',
                    style: TextStyle(
                      color: ColorsManager.grayColor,
                      fontSize: 15,
                    )),
                Text(
                  step2,
                  style: const TextStyle(
                    color: ColorsManager.grayColor,
                    fontSize: 15,
                  ),
                ),
              ],
            ),
          )
        ],
      ),
    );
  }
}
